TARGET		= qscrobbler
TEMPLATE	= app

CONFIG		= qt warn_on release
#CONFIG		= qt warn_on debug

# for native compilation with ccache:
#TMAKE_CC	= ccache gcc
#TMAKE_CXX	= ccache g++
#TMAKE_LINK	= ccache g++

# for native compilation with pdaxii13's zgcc:
#TMAKE_CC	= gcc
#TMAKE_CXX	= g++
#TMAKE_LINK	= g++

# for pdaXii13 cross compiler:
TMAKE_CC	= ccache armv5tel-cacko-linux-gcc
TMAKE_CXX	= ccache armv5tel-cacko-linux-g++
TMAKE_LINK	= ccache armv5tel-cacko-linux-g++

TMAKE_CFLAGS	= $$TMAKE_CFLAGS -O3 -fomit-frame-pointer
TMAKE_CXXFLAGS  = $$TMAKE_CXXFLAGS -O3 -fomit-frame-pointer

LIBS		= -lstdc++
INCLUDEPATH	= . ./kmdcodec ./compat
HEADERS		= \
		configuration.h \
		configurationdialog.h \
		qscrobbler.h \
		audioscrobbler.h \
		kascachelist.h \
		compat/config.h \
		compat/resource.h \
		kmdcodec/kmdcodec.h
				
SOURCES		= \
		configuration.cpp \
		configurationdialog.cpp \
		main.cpp \
		debug.cpp \
		qscrobbler.cpp \
		audioscrobbler.cpp \
		kascachelist.cpp \
		compat/config.cpp \
		compat/resource.cpp \
		kmdcodec/kmdcodec.cpp

MOC_DIR		= .moc
#OBJECTS_DIR	= objs
